#---------------------------------------------#
# <aw:description>Template for a Struts DispatchAction without the infinit loop bug</aw:description>
# <aw:version>1.1</aw:version>
# <aw:date>10/31/2004</aw:date>
# <aw:author>Ferret Renaud</aw:author>
#---------------------------------------------#

<aw:import>javax.servlet.http.HttpServletRequest</aw:import>
<aw:import>javax.servlet.http.HttpServletResponse</aw:import>

<aw:import>org.apache.struts.action.ActionForm</aw:import>
<aw:import>org.apache.struts.action.ActionForward</aw:import>
<aw:import>org.apache.struts.action.ActionMapping</aw:import>
<aw:import>org.apache.struts.actions.DispatchAction</aw:import>

<aw:parentClass>org.apache.struts.actions.DispatchAction</aw:parentClass>

<aw:constructor name="c1">
	/**
	 * Constructor of the object.
	 */
	public <aw:className/>() {
		super();
	}

</aw:constructor>

<aw:method name="toString">
	/**
	 * Returns a string representation of the object. In general, the 
	 * <code>toString</code> method returns a string that 
	 * " textually represents " this object.
	 *
	 * @return  a string representation of the object.
	 */
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append('{');
		sb.append(this.getClass().getName());
		sb.append('}');
		return sb.toString();
	}

</aw:method>

<aw:method name="myMethod">
  /**
   * An action to do. <p>
   *
   * @param aMapping The ActionMapping used to select this instance
   * @param aForm The optional ActionForm bean for this request (if any)
   * @param request The HTTP request we are processing
   * @param response The HTTP response we are creating
   * 
   * @return where to go
   *
   * @throws Exception if the application business logic throws
   *  an exception
   */
  public ActionForward myMethod(ActionMapping aMapping, ActionForm aForm,
								   HttpServletRequest request, HttpServletResponse response)
									throws Exception {
		// TODO Rename this method and add some code
		return aMapping.findForward("key.in.my.strutsConfig");
	}

</aw:method>

<aw:method name="execute">
	/**
	 * Avoid Struts bug in 1.1. Do not use if your are in Struts 1.2.
	 *
	 * Do not remove this method if your are using Struts 1.1. <br>
	 *
	 * @param aMapping The ActionMapping used to select this instance
	 * @param aForm The optional ActionForm bean for this request (if any)
	 * @param request The HTTP request we are processing
	 * @param response The HTTP response we are creating
	 * 
	 * @return where to go
	 *
	 * @throws Exception if the application business logic throws
	 *  an exception 
	 */
	public ActionForward execute(ActionMapping aMapping,	ActionForm aForm,
		                  HttpServletRequest request,	HttpServletResponse response)
		                    throws Exception {
	
		// TODO Remove if method if using Struts 1.2 or more
		String parameter = aMapping.getParameter();
		// Get the method's name. This could be overridden in subclasses.
		String name = request.getParameter(parameter);
	
		// Prevent recursive calls
		if ("execute".equals(name) || "perform".equals(name)) {
			// TODO go to an error page of your own, a GlobalForward 
			// aMapping.findForward("globalError");
		}
	
		return super.execute(aMapping, aForm, request, response);
	}

</aw:method>