#---------------------------------------------#
# <aw:description>Template for a Struts 1.2 ActionForm </aw:description>
# <aw:version>1.0</aw:version>
# <aw:date>10/31/2004</aw:date>
# <aw:author>Ferret Renaud</aw:author>
#---------------------------------------------#

<aw:import>javax.servlet.http.HttpServletRequest</aw:import>

<aw:import>org.apache.struts.action.ActionErrors</aw:import>
<aw:import>org.apache.struts.action.ActionForm</aw:import>
<aw:import>org.apache.struts.action.ActionMapping</aw:import>

<aw:parentClass>org.apache.struts.action.ActionForm</aw:parentClass>

<aw:constructor name="c1">
	/**
	 * Constructor of the object.
	 */
	public <aw:className/>() {
		super();
	}

</aw:constructor>

<aw:method name="toString">
	/**
	 * Returns a string representation of the object. In general, the 
	 * <code>toString</code> method returns a string that 
	 * " textually represents " this object.
	 *
	 * @return  a string representation of the object.
	 */
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append('{');
		sb.append(this.getClass().getName());
		sb.append('}');
		return sb.toString();
	}

</aw:method>

<aw:method name="reset">
    /**
     * Reset all bean properties to their default state.  This method is
     * called before the properties are repopulated by the controller servlet.
     * <p>
     * The default implementation attempts to forward to the HTTP
     * version of this method.
     *
     * @param aMapping The mapping used to select this instance
     * @param request The servlet request we are processing
     */
	public void reset(ActionMapping aMapping, HttpServletRequest request) {
		super.reset(aMapping, request);
	}

</aw:method>

<aw:method name="validate">
    /**
     * Validate the properties that have been set for this HTTP request,
     * and return an <code>ActionErrors</code> object that encapsulates any
     * validation errors that have been found.  If no errors are found,
     * return <code>null</code> or an <code>ActionErrors</code> object with
     * no recorded error messages.
     * <p>
     * The default ipmlementation performs no validation and returns
     * <code>null</code>.  Subclasses must override this method to provide
     * any validation they wish to perform.
     *
     * @param aMapping The mapping used to select this instance
     * @param request The servlet request we are processing
     * 
     * @return a list of errors
     * @since Struts 1.2
     */
	public ActionErrors validate(ActionMapping aMapping, HttpServletRequest request) {
		return super.validate(aMapping, request);		
		//		// Do it by hand:
		//		ActionMessages errors = new ActionMessages();
		//		
		//		if ([condition]) {
		//			ActionMessage error = new ActionMessage("error.key.one");
		//			errors.add("ErrorTypeOne", error);
		//		} 
		//		if ([condition]) {
		//			ActionMessage error = new ActionMessage("error.key.one");		
		//			errors.add("ErrorTypeTwo", error);
		//		} 	
		//		return errors;
	}

</aw:method>